| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFFeatureInfo Class Referenceabstract

`#include <AAX_IACFFeatureInfo.h>`

Inheritance diagram for AAX_IACFFeatureInfo:
[legend]
Collaboration diagram for AAX_IACFFeatureInfo:
[legend]

## Description

Information about host support for a particular feature

Acquired using AAX_IACFDescriptionHost::AcquireFeatureProperties()

This interface is shared between multiple features. The specific feature which this object represents is the feature whose ID was used in the call to acquire this interface.

See the feature UID documentation for which properties support additional property map data

IID: IID_IAAXFeatureInfoV1

Note
  Do not `QueryInterface()` for IID_IAAXFeatureInfoV1 since this does not indicate which specific feature is being requested. Instead, use AAX_IDescriptionHost::AcquireFeatureProperties()

## Public Member Functions
virtual AAX_Result | SupportLevel (AAX_ESupportLevel *oSupportLevel) const =0
virtual AAX_Result | AcquireProperties (IACFUnknown **outProperties)=0
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ SupportLevel()

virtual AAX_Result AAX_IACFFeatureInfo::SupportLevel | ( | AAX_ESupportLevel * | oSupportLevel | ) | const
| pure virtual

Determine the level of support for this feature by the host

Note
  The host will not provide an underlying AAX_IACFFeatureInfo interface for features which it does not recognize at all, resulting in a AAX_ERROR_NULL_OBJECT error code

See also
  AAX_IFeatureInfo::SupportLevel()

Determine the level of support for this feature by the host

Note
  The host will not provide an underlying AAX_IACFFeatureInfo interface for features which it does not recognize at all, resulting in a AAX_ERROR_NULL_OBJECT error code

## ◆ AcquireProperties()

virtual AAX_Result AAX_IACFFeatureInfo::AcquireProperties | ( | IACFUnknown ** | outProperties | ) |
| pure virtual

`outProperties` must support AAX_IACFPropertyMap const methods

See also
  AAX_IFeatureInfo::AcquireProperties()

The documentation for this class was generated from the following file:

- AAX_IACFFeatureInfo.h